[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

[libvirt] [libvirt-glib] Make sure %with_vala is defined for newer RHELs



We want to build the vala bindings on recent RHELs. Given than
%with_introspection is defined for fedora >= 15 and rhel > 6 which
are exactly the versions for which we want to build the vala bindings,
and given that the vala bindings are to be disabled when introspection
is disabled, we can set %with_vala to the same value as %with_introspection.
---
 libvirt-glib.spec.in |    4 +---
 1 file changed, 1 insertion(+), 3 deletions(-)

diff --git a/libvirt-glib.spec.in b/libvirt-glib.spec.in
index 1288c10..e312926 100644
--- a/libvirt-glib.spec.in
+++ b/libvirt-glib.spec.in
@@ -16,9 +16,7 @@
 %if 0%{?rhel} && 0%{?rhel} < 7
 %define with_python 1
 %endif
-%if 0%{with_introspection} && 0%{?fedora} > 15
-%define with_vala 1
-%endif
+%define with_vala %{with_introspection}
 
 %define libvirt_version 0.9.10
 
-- 
1.7.10.1


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]